Subject: research guidance

From: [email-masked] (Yasir Ali)
Date: 23 Aug 2001 23:49:49 EDT

Hi all,

I have been focusing on embedding the certificate infrastructure
with the SSH protocol, so as to ensure the  integrity and primarily to avoid
the
man-in-the-middle attack. There are various design aspects that come into play
for a secure, manageable and deployable Public Key Infrastructure using
certificates that can be used with the SSH protocol. There was a recent draft
"Storing SSH Host Keys in DNS" that addressed this issue. 

I am interested in learning the different approaches that are being developed
to use certificates with SSH. Is there currently research/coding being done to
modify OpenSSH source to bring in certificates that you are aware of. Are there
any other approaches adressing this issue, that are bieng developed.

I would also appreciate if you can update me with any recent work on this topic
and the direction where most of the research focus is within this.

With best regards,

Yasir Ali